# Spread namespace

This namespace is spread over two files.

### Contents

- Reference
  - Enums
  - Typedefs
  - Functions
  - Variables
  - A group

So it has no global include but per-entry includes, properly expanding the brief-only docs into detailed ones. (Unless the includes are disabled globally or the files are not documented.)

## Enums

enum Enum { }
  An enum.
enum RelatedEnum { }
  A related enum in a different file. Shouldn't be shown in namespace docs but it is :(.

## Typedefs

using Int = int
  A typedef.

## Functions

void foo()
  A function.

## Variables

const int Var constexpr
  A variable.

## A group

enum Flag { }
  Flag in a group.
using Main = void
  Alias in a group.
void* variable constexpr
  Variable in a group.
void bar()
  Function in a group.

## Enum documentation

### enum Spread::Enum
#include <First.h>

An enum.

### enum Spread::RelatedEnum
#include <Second.h>

A related enum in a different file. Shouldn't be shown in namespace docs but it is :(.

### enum Spread::Flag
#include <Second.h>

Flag in a group.

## Typedef documentation

### typedef int Spread::Int
#include <First.h>

A typedef.

### using Spread::Main = void
#include <First.h>

Alias in a group.

## Function documentation

### void Spread::foo()
#include <Second.h>

A function.

### void Spread::bar()
#include <First.h>

Function in a group.

## Variable documentation

### const int Spread::Var constexpr
#include <First.h>

A variable.

### void* Spread::variable constexpr
#include <First.h>

Variable in a group.